# /api/playerwarps/getWarpCategoryByName/{categoryname}

* **Parameters:**
  * `categoryname`: The name of the category to retrieve.
* **Response:**

  The response will return a JSON object with the following structure:

  ```json
  {
    "name": "other",
    "teleportPrice": -1,
    "purgeTime": -1,
    "permission": "",
    "removeDaysTime": -1,
    "all": false,
    "icon": {
      "type": "PAPER",
      "meta": {
        "display-name": "{\"text\":\"\",\"extra\":[{\"text\":\"Other Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
        "lore": [
          "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the other warps.\",\"color\":\"aqua\"}],\"italic\":false}"
        ],
        "PublicBukkitValues": "{\n    \"playerwarps:itemtag_item\": \"1\"\n}"
      }
    },
    "displayName": "Other"
  }
  ```

**Fields:**

* **name** (String): Category name.
* **teleportPrice** (Number): Price to teleport.
* **purgeTime** (Number): Time until purge.
* **permission** (String): Required permission.
* **removeDaysTime** (Number): Time until removal.
* **all** (Boolean): Whether it includes all warps.
* **icon** (Object):
  * **type** (String): The type of the icon.
  * **meta** (Object):
  * **display-name** (String): The display name of the icon.
  * **lore** (Array of Strings): Lore description.
  * **PublicBukkitValues** (String): Custom Bukkit metadata.
* **displayName** (String): Display name of the category.

**Note:**

* [**Authentication**](/projects/playerwarps/restapi.md#authentication) is required to access this endpoint.
* Based on server settings, you may not be able to access warp information if you do not own the warp.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.olziedev.com/projects/playerwarps/restapi/endpoints/get/getwarpcategorybyname.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
